Skip to main content
PATCH
/
organization
/
rag
/
sources
/
questions
/
{uuid}
Update Q&A source
curl --request PATCH \
  --url https://api.getfernand.com/organization/rag/sources/questions/{uuid} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "questions": [
    "How do I reset my password?"
  ],
  "answer": "To reset your password..."
}
'
import requests

url = "https://api.getfernand.com/organization/rag/sources/questions/{uuid}"

payload = {
"questions": ["How do I reset my password?"],
"answer": "To reset your password..."
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
questions: ['How do I reset my password?'],
answer: 'To reset your password...'
})
};

fetch('https://api.getfernand.com/organization/rag/sources/questions/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.getfernand.com/organization/rag/sources/questions/{uuid}"

payload := strings.NewReader("{\n \"questions\": [\n \"How do I reset my password?\"\n ],\n \"answer\": \"To reset your password...\"\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
using RestSharp;


var options = new RestClientOptions("https://api.getfernand.com/organization/rag/sources/questions/{uuid}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
request.AddJsonBody("{\n \"questions\": [\n \"How do I reset my password?\"\n ],\n \"answer\": \"To reset your password...\"\n}", false);
var response = await client.PatchAsync(request);

Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.getfernand.com/organization/rag/sources/questions/{uuid}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"questions\": [\n \"How do I reset my password?\"\n ],\n \"answer\": \"To reset your password...\"\n}")
.asString();
{}
{
"error": "You can only update Questions"
}
Updates an existing Q&A source identified by its UUID. Only sources of type “Question” can be updated through this endpoint.

Authorizations

X-API-Key
string
header
required

Authenticate your account by including your secret key in API requests. You can manage your API keys in the Dashboard.

Authentication to the API is performed by using the HTTP Header X-API-Key.

Path Parameters

uuid
string
required

UUID of the Q&A source to update.

Body

application/json
questions
string[]
required
Maximum string length: 250
Example:
["How do I reset my password?"]
answer
string
required
Maximum string length: 5000
Example:

"To reset your password..."

Response

Q&A source queued for update.

The response is of type object.